<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/add_epilogue_handler_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/13/84  add_epilogue_handler_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in add_epilogue_handler_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: add_epilogue_handler_: 02/13/84  add_epilogue_handler_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>Function: adds an entry to the list of those handlers called when a
<span id="L11" class="LineNr">11 </span>process or run unit is terminated.  A program established as an
<span id="L12" class="LineNr">12 </span>epilogue handler during a run unit is called when the run unit is
<span id="L13" class="LineNr">13 </span>terminated.  If the process continues after the run unit is
<span id="L14" class="LineNr">14 </span>terminated, the handler is discarded from the list of those called
<span id="L15" class="LineNr">15 </span>when the process is terminated.  Hence, epilogue handlers established
<span id="L16" class="LineNr">16 </span>during a run unit are not retained beyond the life of the run unit.
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>Syntax:
<span id="L20" class="LineNr">20 </span>declare add_epilogue_handler_ entry <span class="textRainbow_lv0_p0">(</span>entry<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr">21 </span>call add_epilogue_handler_ <span class="textRainbow_lv0_p0">(</span>ev<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>Arguments:
<span id="L25" class="LineNr">25 </span>ev
<span id="L26" class="LineNr">26 </span>   is an entry value to be placed on the list of such values to be
<span id="L27" class="LineNr">27 </span>   called when the run unit or process is cleaned up.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr">28 </span>code
<span id="L29" class="LineNr">29 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L30" class="LineNr">30 </span>
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>Notes: This subroutine effectively manages two lists of epilogue
<span id="L33" class="LineNr">33 </span>handlers: those for the run unit, if a run unit is active, and those
<span id="L34" class="LineNr">34 </span>for the process.  While a run unit is active, it is not possible to
<span id="L35" class="LineNr">35 </span>add entries to the list for the process.  There is no way to establish
<span id="L36" class="LineNr">36 </span>a process epilogue handler while a run unit is active.  The caller of
<span id="L37" class="LineNr">37 </span>execute_epilogue_ <span class="textRainbow_lv0_p0">(</span>logout<span class="textRainbow_lv0_o0">,</span> new_proc<span class="textRainbow_lv0_o0">,</span> etc.<span class="textRainbow_lv0_p0">)</span> must indicate whether all
<span id="L38" class="LineNr">38 </span>or just the run unit handlers are to be invoked.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
